import com.apple.cocoa.foundation.*;
import com.apple.cocoa.application.*;
import java.util.*;

class dammymesse_cntl implements Runnable{

	NSTextView output_field;
	Network_IO t_net;
	Thread th;
	public dammymesse_cntl(NSTextView output_message_field){
		output_field=output_message_field;
		t_net=new Network_IO(3991,50);
		t_net.start();
	}
	public void start(){
		if(th==null){
			th=new Thread(this);
			th.start();
		}
		System.out.println("Controller finish launching");
	}
	public void connect(String s){
		t_net.connect(s);
	}
	public void send_message(String s){
		String ip_list[];
		ip_list=t_net.get_list();

		for(int i=0;i<ip_list.length;i++){
			if(!ip_list[i].equals("")){
				System.out.println(ip_list[i]);
				t_net.send_message(ip_list[i],s+"\n");
			}
		}
	}
	public void run(){
		try{
			while(true){
				Vector mes=t_net.get_message();
				System.out.print(mes.size());
				for(int i=0;i<mes.size();i++){
					output_field.insertText((String)mes.get(i)+"\n");
				}
				th.sleep(1000);
				System.out.print("run");
			}
		}catch(Exception e){
			System.err.println(e);		
		}
	}
	public void close(){
		t_net.close();
	}
}